Get a download link for an export
curl --request GET \
--url https://app.leadconduit.com/exports/{id}/file \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/exports/{id}/file"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/exports/{id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"download_url": "https://s3.amazonaws.com/example-bucket/export.csv?X-Amz-Expires=10&X-Amz-Signature=..."
}{
"error": "not authorized"
}{
"errors": {
"msg": "export not found"
}
}{
"errors": {
"id": "invalid"
}
}Exports
Get a download link for an export
Returns a pre-signed URL for the export’s CSV file. The URL is valid for 10 seconds,
so request it right before downloading and do not store it. Each call is recorded in
the export’s downloads list.
GET
/
exports
/
{id}
/
file
Get a download link for an export
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
The ID of the export 24 character alpha-numeric BSON identifier
Pattern:
^[0-9a-fA-F]{24}$Example:
"5fd4371e940df5a34a3888b2"
Response
OK
Pre-signed URL of the CSV file. Expires 10 seconds after this response.
Example:
"https://s3.amazonaws.com/example-bucket/export.csv?X-Amz-Expires=10&X-Amz-Signature=..."